# sourcelanguagesmanager.h File Reference

SourceLanguageManager class. More...

`#include <glibmm.h>`
`#include <glibmm/object.h>`
`#include <gtksourceviewmm/sourcelanguage.h>`

Go to the source code of this file.

## Namespaces
namespace | gtksourceview
namespace | Glib
## Classes
class | gtksourceview::SourceLanguageManager
| manages the languages supported by the SourceBuffer. More...
## Typedefs
typedef struct _GtkSourceLanguageManager | GtkSourceLanguageManager
typedef struct _GtkSourceLanguageManagerClass | GtkSourceLanguageManagerClass

## Detailed Description

SourceLanguageManager class.

## Typedef Documentation

typedef struct _GtkSourceLanguageManager GtkSourceLanguageManager

typedef struct _GtkSourceLanguageManagerClass GtkSourceLanguageManagerClass